#ifndef Connectivity_h
#define Connectivity_h

#include "Arduino.h"
#include <WebSocketsClient.h>
#include <ArduinoWiFiServer.h>
#include <ESP8266WiFi.h>
#include <ESP8266HTTPClient.h>
#include <ESP8266WiFiGeneric.h>
#include <ESP8266WiFiMulti.h>
#include <ESP8266WiFiSTA.h>
#include <WiFiClient.h>
#include <WiFiClientSecure.h>
#include <ArduinoJson.h>



class Connectivity {
public:
  void connectWiFi(char* ssid, char* pass);
  void websocketSetup(char* ip, uint16_t port, char* adress);
  void sendData(float roll, float pitch, float yaw);
  int httpPost(const char *serverAddress, const char *serverSubPath, const unsigned short serverPort, const char *data, const size_t dataLength, const char *contentType);
  const char* fetchIPAddress();

private:
  ESP8266WiFiMulti wifi;
  WiFiClient wifi_client;
  // WebSocketsClient webSocket;

};

#endif